summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/mktwpol/mktwpol-0.2.5.ebuild')
-rw-r--r--app-admin/mktwpol/mktwpol-0.2.5.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/app-admin/mktwpol/mktwpol-0.2.5.ebuild b/app-admin/mktwpol/mktwpol-0.2.5.ebuild
new file mode 100644
index 000000000000..ab566371055f
--- /dev/null
+++ b/app-admin/mktwpol/mktwpol-0.2.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Bash scripts to install tripwire and generate tripwire policy files"
+HOMEPAGE="https://sourceforge.net/projects/mktwpol"
+SRC_URI="mirror://sourceforge/mktwpol/${P}.tar.gz"
+
+LICENSE="CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="amd64 ppc x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="app-admin/tripwire"
+
+src_prepare() {
+ sed -i -e 's|/usr/local|/usr|' Makefile || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+}
+
+pkg_postinst() {
+ elog
+ elog "Installation and setup of tripwire ..."
+ elog " - Run: \`twsetup.sh\`"
+ elog
+ elog "Maintenance of tripwire as packages are added and/or deleted ..."
+ elog " - Run: \`mktwpol.sh -u\` to update tripwire policy and database"
+ elog
+ elog "Mktwpol is packaged with multiple policy-rules-generating files."
+ elog "The default \"rules file\" is installed in /etc/tripwire"
+ elog "Alternatives are installed in /usr/share/doc/${P}"
+ elog "To use an alternative \"rules file\" ..."
+ elog "copy it to /etc/tripwire, uncompress it, and \`touch\` it ..."
+ elog
+ elog "\`cp /usr/share/doc/${P}/mktwpol*.rules.bz2 /etc/tripwire\`"
+ elog "\`bunzip2 /etc/tripwire/mktwpol*.rules.bz2\`"
+ elog
+ elog "mktwpol.sh uses the rules file with the most recent date."
+ elog "Use \`touch\` to choose between multiple rules files."
+ elog
+}